Package com.documentum.fc.client.content

# Interface IDfExternalFileStore

All Superinterfaces:
  `IDfExternalStore`, `IDfPersistentObject`, `IDfStore`, `IDfTypedObject`

public interface IDfExternalFileStore extends IDfExternalStore
This interface provides access to external file store data stored in dm_extern_file object. This class validates a required properties, name, to be set before saving the object. Otherwise, an exception is thrown.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientRoot()`
  Gets the client root of this storage.
  `String`
  `getDefClientRoot()`
  Gets the def_client_root value.
  `String`
  `getDefServerRoot()`
  Gets the client root of this storage.
  `IDfProperties`
  `getServerRoots()`
  Gets the server roots of this storage.
  `void`
  `setClientRoot(String clientRoot)`
  Sets the client root of this storage.
  `void`
  `setDefClientRoot(String clientRoot)`
  Sets def_client_root to a location name.
  `void`
  `setDefServerRoot(String clientRoot)`
  Sets the client root of this storage.
  `void`
  `setServerRoots(IDfProperties serverRoots)`
  Sets the server root of this storage.

  ### Methods inherited from interface com.documentum.fc.client.content.IDfExternalStore

  `getExecMode, getIsWritable, getPlatform, getPluginId, getStorageClass, getStorageParamName, getStorageParamValue, isContentStatic, setContentStatic, setExecMode, setIsWritable, setPlatform, setPluginId, setStorageClass, setStorageParamName, setStorageParamValue`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### setClientRoot

    void setClientRoot(String clientRoot) throws DfException
    Sets the client root of this storage. A location object is created when save.
    Parameters:
      `clientRoot` - The client root of this storage.
    Throws:
      `DfException`

  - ### getClientRoot

    String getClientRoot() throws DfException
    Gets the client root of this storage.
    Returns:
      The client root of this storage.
    Throws:
      `DfException`

  - ### setDefClientRoot

    void setDefClientRoot(String clientRoot) throws DfException
    Sets def_client_root to a location name. It is a programming error to call this after calling setClientRoot and before calling save.
    Parameters:
      `clientRoot` - The client root of this storage.
    Throws:
      `DfException`

  - ### getDefClientRoot

    String getDefClientRoot() throws DfException
    Gets the def_client_root value. It is a programming error to call this after calling setClientRoot and before calling save.
    Returns:
      The client root of this storage.
    Throws:
      `DfException`

  - ### setDefServerRoot

    void setDefServerRoot(String clientRoot) throws DfException
    Sets the client root of this storage. A location object is created when save.
    Parameters:
      `clientRoot` - The client root of this storage.
    Throws:
      `DfException`

  - ### getDefServerRoot

    String getDefServerRoot() throws DfException
    Gets the client root of this storage.
    Returns:
      The client root of this storage.
    Throws:
      `DfException`

  - ### setServerRoots

    void setServerRoots(IDfProperties serverRoots) throws DfException
    Sets the server root of this storage. It sets the configuration name along with its location to this storage. This method overwrites the whole set of old values.
    Parameters:
      `serverRoots` - A IDfProperties of the server roots. The key represents the configuration name and its value represents the corresponding location.
    Throws:
      `DfException`

  - ### getServerRoots

    IDfProperties getServerRoots() throws DfException
    Gets the server roots of this storage.
    Returns:
      A IDfProperties of the server roots. The key represents the configuration name and its value represents the corresponding location.
    Throws:
      `DfException`